import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const codeCss = ":host{display:block}pre{margin:0}.code{display:block;padding:var(--gap-xs) var(--gap-sm) var(--gap-sm);border:1px solid rgba(var(--bd-violet-rgb), .2);border-radius:.6rem;background-color:#f8f9fa;color:#222;font-size:1.4rem;line-height:1.4;overflow-x:auto}.code--example{border-top-right-radius:0;border-top-left-radius:0}.code__title{margin:0 0 var(--gap-sm);color:#555;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}";

const BSWCCode = /*@__PURE__*/ proxyCustomElement(class BSWCCode extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.language = undefined;
    this.insideSection = undefined;
  }
  formatHtml(content) {
    let string = content.replaceAll('<!---->', '');
    string = string.replaceAll(' class="hydrated"', '');
    let array = string.split('> <');
    array = array.map((element, index) => {
      const isFirst = index === 0;
      const isLast = index === array.length - 1;
      let html = '';
      if (!isFirst) {
        html += '<';
      }
      html += element;
      if (!isLast) {
        html += '>';
      }
      return html;
    });
    return array;
  }
  render() {
    var _a;
    const code = this.formatHtml(this.element.innerHTML);
    return (h("div", { class: 'code ' + (this.insideSection ? 'code--example' : '') }, h("h5", { class: "code__title" }, (_a = this.language) !== null && _a !== void 0 ? _a : 'HTML'), code.map(tag => {
      return h("pre", null, h("code", null, tag.includes('bs-row') ? tag : '  ' + tag));
    })));
  }
  get element() { return this; }
  static get style() { return codeCss; }
}, [1, "bswc-code", {
    "language": [1],
    "insideSection": [4, "inside-section"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bswc-code"];
  components.forEach(tagName => { switch (tagName) {
    case "bswc-code":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, BSWCCode);
      }
      break;
  } });
}

export { BSWCCode as B, defineCustomElement as d };

//# sourceMappingURL=code.js.map